Subject: RE: bug#1183: 23.0.60; ediff-buffers is broken

From: "Drew Adams" <[email-masked]>
Date: Fri, 17 Oct 2008 11:35:43 -0700

> > > > We could also let them compare equal, but display a 
> > > > message to the effect that the buffers define different
> > > > encoding for saving them to files. Opinions?
> > > 
> > > That would be fine, indeed.
> > 
> > Fine, but not enough. If a user wants to see the textual 
> > differences between the two buffers, the info that the
> > encodings are different is not helpful enough to get the
> > job done.
> 
> You misunderstood.  My suggestion, to which Stefan agreed, was that
> _in_addition_ to showing any textual differences, ediff-buffers would
> display a warning saying that the buffers _also_ differ in the way
> they will be encoded on their disk files.
> 
> In the extreme case that the text is identical, only the warning will
> remain as the single sign of a difference.
> 
> > In the case described, there are real textual differences (an
> > added Lisp sexp), and ediff-buffers is not at all helpful 
> > in showing them.
> 
> After Ediff is fixed, you will see the diffs you see in Emacs 22, plus
> a message saying that the EOL format is different.

Sounds good. Sorry for misunderstanding. "Let them compare equal" threw me off;
I thought you were saying that the two buffers I reported on *should* be
considered equal by ediff-buffers.